from django.test import SimpleTestCase, override_settings
from ferda.tests.utils import LoggerMixin

from ferda_verification.plugin import _PERMISSIONS, create_permissions, show_settings


class CreatePermissionsTest(LoggerMixin, SimpleTestCase):
    def test_create_permissions(self):
        self.assertEqual(create_permissions(), _PERMISSIONS)


class ShowSettingsTest(LoggerMixin, SimpleTestCase):
    @override_settings(FERDA_VERIFICATION_VERIFICATION_PORTAL_URL="http://example.com/portal")
    def test_create_permissions(self):
        self.assertEqual(
            show_settings(),
            {
                "verification": {
                    "verification_portal_url": "http://example.com/portal",
                }
            },
        )
